Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Win32ErrorDialog Class Reference

Windows-specific class for displaying the error dialog if Ogre fails badly! More...

`#include <OgreWin32ErrorDialog.h>`

Inheritance diagram for Ogre::Win32ErrorDialog:

[legend]
List of all members.

## Public Methods

| Win32ErrorDialog (HINSTANCE hInst)
void | display (const String &errorMessage, String logName="")
| Displays the error dialog.

## Static Protected Methods

BOOL CALLBACK | DlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
| Callback to process window events.

## Protected Attributes

String | mErrorMsg
HINSTANCE | mHInstance

## Detailed Description

Windows-specific class for displaying the error dialog if Ogre fails badly!

Definition at line 35 of file OgreWin32ErrorDialog.h.

## Constructor & Destructor Documentation

Ogre::Win32ErrorDialog::Win32ErrorDialog | ( | HINSTANCE | hInst | ) |

| Definition at line 30 of file OgreWin32ErrorDialog.cpp. References mHInstance.

## Member Function Documentation

void Ogre::Win32ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = ""
| ) | `[virtual]`

Displays the error dialog.

Parameters:

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

Implements Ogre::ErrorDialog.

Definition at line 78 of file OgreWin32ErrorDialog.cpp.

References DlgProc(), mErrorMsg, mHInstance, and Ogre::String.

BOOL Ogre::Win32ErrorDialog::DlgProc | ( | HWND | hDlg,
|  | UINT | iMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static, protected]`

| Callback to process window events. Definition at line 37 of file OgreWin32ErrorDialog.cpp. References mErrorMsg. Referenced by display().

## Member Data Documentation

String Ogre::Win32ErrorDialog::mErrorMsg`[protected]`

| Definition at line 46 of file OgreWin32ErrorDialog.h. Referenced by display(), and DlgProc().

HINSTANCE Ogre::Win32ErrorDialog::mHInstance`[protected]`

| Definition at line 50 of file OgreWin32ErrorDialog.h. Referenced by display(), and Win32ErrorDialog().

The documentation for this class was generated from the following files:

- OgreWin32ErrorDialog.h
- OgreWin32ErrorDialog.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:47 2004